[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TDefaultMonitor

TDefaultMonitor - enumerated type to specify on which monitor to place the form

## Declaration

Source position: forms.pp line 360

`type TDefaultMonitor = (`
`dmDesktop,`
`dmPrimary,`
`dmMainForm,`
`dmActiveForm`
`);`

## Description

dmDesktop - don't change the form position (use the full desktop) dmPrimary - place the form on the primary monitor dmMainForm - place the form on the same monitor as the main form. If there is no main form then use dmPrimary behavior. dmActiveForm - place the form on the same monitor as the current active form. If there is no active form use dmMainForm behavior.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.